%global pkgname nq

Name:           gap-pkg-%{pkgname}
Version:        2.5.1
Release:        1%{?dist}
Summary:        Nilpotent Quotients of finitely presented groups

License:        GPLv2+
URL:            http://gap-system.github.io/nq/
Source0:        https://github.com/gap-system/nq/releases/download/v%{version}/%{pkgname}-%{version}.tar.bz2

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-polycyclic
BuildRequires:  gmp-devel

Requires:       gap-core%{?_isa}
Requires:       gap-pkg-polycyclic
Requires(post): gap-core%{?_isa}
Requires(postun): gap-core%{?_isa}

%description
This package provides access from within GAP to the ANU nilpotent
quotient program for computing nilpotent factor groups of finitely
presented groups.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%configure --with-gaproot=%{_gap_dir} --with-gmp=system --disable-silent-rules
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a bin doc gap VERSION *.g %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/test

%check
make test

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%files
%doc CHANGES README
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Jun 19 2015 Jerry James <loganjerry@gmail.com> - 2.5.1-1
- Initial RPM
